b95f8b libselinux-2.5-8

Authored and Committed by plautrba 3 years ago
    libselinux-2.5-8
    
    There was a change in swig-3.10 to use importlib instead of imp. While
    the implementation with imp looked for _selinux.so also in the directory
    where __init__.py was, importlib search only standard paths. It means that we
    need to move _selinux.so from $(PYLIBDIR)/site-packages/selinux/
    to $(PYLIBDIR)/site-packages/
    
    Fixes:
    >>> import selinux
    Traceback (most recent call last):
      File "/usr/lib64/python3.5/site-packages/selinux/__init__.py", line 18, in swig_import_helper
        return importlib.import_module(mname)
      File "/usr/lib64/python3.5/importlib/__init__.py", line 126, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
      File "<frozen importlib._bootstrap="">", line 986, in _gcd_import
      File "<frozen importlib._bootstrap="">", line 969, in _find_and_load
      File "<frozen importlib._bootstrap="">", line 956, in _find_and_load_unlocked
    ImportError: No module named '_selinux'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
      File "/usr/lib64/python3.5/site-packages/selinux/__init__.py", line 21, in <module>
        _selinux = swig_import_helper()
      File "/usr/lib64/python3.5/site-packages/selinux/__init__.py", line 20, in swig_import_helper
        return importlib.import_module('_selinux')
      File "/usr/lib64/python3.5/importlib/__init__.py", line 126, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
    ImportError: No module named '_selinux'
    
        
file modified
+7 -1